taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.Generic.ChannelGraph

Synopsis

- channelGraphNew :: MonadIO m => GraphConfig -> BroadcastChan In a -> (a -> IO [Double]) -> m Widget

# Documentation

channelGraphNew :: MonadIO m => GraphConfig -> BroadcastChan In a -> (a -> IO [Double]) -> m Widget Source #

Given a `BroadcastChan` and an action to consume that broadcast chan and turn it into graphable values, build a graph that will update as values are broadcast over the channel.